Skip to content

Creates a comment for a sender in project
GA

Request

Creates a comment for a sender in project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Comment data

commentstring, [ 1 .. 65535 ] charactersrequired

Example body request to create a comment.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}/comments' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "comment": "Example comment."
  }'

Responses

Created comment for a sender in project

Bodyapplication/json
typestring(WhatsappCommentType)required
Value:"CREATED"
commentstringrequired
createdstring
Response

Response when successfully creating a comment.

{ "type": "CREATED", "comment": "Example comment", "created": "2023-01-19T13:11:08.204Z" }
We'd love to hear from you!
Rate this content: